export var CloudinaryTransforms = (function () {
    function CloudinaryTransforms() {
    }
    CloudinaryTransforms.prototype.toUrlSegment = function () {
        var transformSegment = '';
        //Loop on all transformations
        for (var key in this) {
            if (this.hasOwnProperty(key) && key !== 'format') {
                transformSegment += this.toPropertySegment(transformSegment, key, this[key]);
            }
        }
        if (transformSegment.length > 0) {
            transformSegment += '/';
        }
        return transformSegment;
    };
    CloudinaryTransforms.prototype.toPropertySegment = function (segment, transformation, value) {
        var newSegment = '';
        if (transformation && value) {
            if (segment.length > 0) {
                newSegment += ',';
            }
            newSegment += CloudinaryTransforms.URL_PARAMS[transformation] + '_' + value;
        }
        return newSegment;
    };
    CloudinaryTransforms.URL_PARAMS = {
        'width': 'w',
        'height': 'h',
        'crop': 'c',
        'aspect_ratio': 'ar',
        'gravity': 'g',
        'zoom': 'z',
        'x': 'x',
        'y': 'y',
        'quality': 'q',
        'radius': 'r',
        'angle': 'a',
        'effect': 'e',
        'opacity': 'o',
        'border': 'bo',
        'background': 'b',
        'overlay': 'l',
        'underlay': 'u',
        'default_image': 'd',
        'delay': 'dl',
        'color': 'co',
        'dpr': 'dpr',
        'page': 'pg',
        'density': 'dn',
        'flags': 'fl',
        'transformation': 't'
    };
    return CloudinaryTransforms;
}());
//# sourceMappingURL=cloudinary-transforms.class.js.map