var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
export * from 'ng2-file-upload';
import { FileUploader } from 'ng2-file-upload';
var UPLOAD_ENDPOINT = 'https://api.cloudinary.com/v1_1/';
export var CloudinaryUploader = (function (_super) {
    __extends(CloudinaryUploader, _super);
    function CloudinaryUploader(opts) {
        _super.call(this, {});
        this.opts = opts;
        this.options.url = this.getUploadUrl(opts);
        this.options.autoUpload = opts.autoUpload;
    }
    CloudinaryUploader.prototype.onBuildItemForm = function (fileItem, form) {
        form.append('upload_preset', this.opts.upload_preset);
        // Force the file uploader to never use app credentials
        fileItem.withCredentials = false;
        return { fileItem: fileItem, form: form };
    };
    CloudinaryUploader.prototype.getUploadUrl = function (opts) {
        var cloud_name = opts.cloud_name;
        var resource_type = opts.resource_type;
        var type = opts.type;
        return UPLOAD_ENDPOINT + cloud_name + '/' + resource_type + '/' + type;
    };
    return CloudinaryUploader;
}(FileUploader));
//# sourceMappingURL=cloudinary-uploader.service.js.map